{ Conditional defines that affect compilation }

{.$DEFINE Un_EXT}
{ UnExtention components }

{.$DEFINE Un_FIB+}
{ UnFIB components }

{$DEFINE Un_ADO}
{ UnADO components } 

{.$DEFINE Un_DES}
{ UnObjectInspector components }

{.$DEFINE Un_UDB}
{ UnObjectInspector components }

{.$B-} {- Complete Boolean Evaluation }
{.$R-} {- Range-Checking }
{.$V-} {- Var-String Checking }
{.$T-} {- Typed @ operator }
{.$X+} {- Extended syntax }
{.$P+} {- Open string params }
{.$IFDEF WIN32}
{.$J+} {- Writeable structured consts }
{.$H+} {- Use long strings by default }
{.$ENDIF}

{$IFDEF VER100} { Borland Delphi 3.0 }
  {$DEFINE Un_D3}
{$ENDIF}

{$IFDEF VER120} { Borland Delphi 4.0 }
  {$DEFINE Un_D3}
  {$DEFINE Un_D4}
{$ENDIF}

{$IFDEF VER130} { Borland Delphi 5.0 }
  {$DEFINE Un_D3}
  {$DEFINE Un_D4}
  {$DEFINE Un_D5}
{$ENDIF}

{$IFDEF VER140} { Borland Delphi 6.0 }
  {$DEFINE Un_D3}
  {$DEFINE Un_D4}
  {$DEFINE Un_D5}
  {$DEFINE Un_D6}
{$ENDIF}

{$IFDEF VER150} { Borland Delphi 7.0 }
  {$DEFINE Un_D3}
  {$DEFINE Un_D4}
  {$DEFINE Un_D5}
  {$DEFINE Un_D6}
  {$DEFINE Un_D7}
{$ENDIF}

