
          //--------------------------------------------//
          //           .         //
          //            !           //
          //         Copiryght@ 1996-2004.              //
          //         Programmer Bannikov N.A.           //
          //         Universal Database Server 6.0      //
          //         STIKRIZ Technology.                //
          //--------------------------------------------//

unit UnBlobUpdaterEditor;

{$I Un.INC}                                              

interface

  uses Classes
{$IFDEF Un_D6}
       , DesignIntf, DesignEditors
{$ELSE}
       , DsgnIntf
{$ENDIF}
       ;

  Type

  TUnBlobFieldEditor = class(TPropertyEditor)
   private
   protected
   public
    procedure GetValues(Proc: TGetStrProc); override;
    function GetAttributes: TPropertyAttributes; override;
    function GetValue: string; override;
    procedure SetValue(const Value: string); override;
  end;

implementation

 uses UnCustomDataSet;

procedure TUnBlobFieldEditor.GetValues(Proc: TGetStrProc);
var Item: TUnBlobItem;
    I: Integer;
begin
 Item:=GetComponent(0) as TUnBlobItem;
 if Item.Updater.DataSet <> nil then
  for I:=0 to Item.Updater.DataSet.FieldCount-1 do
   if Item.Updater.DataSet.Fields[I].IsBlob then
    Proc(Item.Updater.DataSet.Fields[I].FieldName);
end;

function TUnBlobFieldEditor.GetAttributes: TPropertyAttributes;
begin
 Result:=[paValueList];
end;

function TUnBlobFieldEditor.GetValue: string;
var Item: TUnBlobItem;
begin
 Item:=GetComponent(0) as TUnBlobItem;
 Result:=Item.FieldName;
end;

procedure TUnBlobFieldEditor.SetValue(const Value: string);
var Item: TUnBlobItem;
begin
 Item:=GetComponent(0) as TUnBlobItem;
 Item.FieldName:=Value;
 Modified;
end;

end.
