
          //--------------------------------------------//
          //           .         //
          //            !           //
          //         Copiryght@ 1996-2004.              //
          //         Programmer Bannikov N.A.           //
          //         Universal Database Server 6.0      //
          //         STIKRIZ Technology.                //
          //--------------------------------------------//

unit UnLibraryReg;

{$I Un.INC}                                              

interface

  uses Classes,
{$IFDEF Un_EXT}
       Handles, UnFileSeacher, UnLanguage, UnSpliter,  UnDbGrid, UnCryptComp,
       UnClientPalette, UnCalckContainer, UnRobotComponent, UnCab, UnSearchEdit,
       UnRefEdit,
{$ENDIF}
{$IFDEF Un_DES}
       UnClipboard, UnObjInspComponent,
{$ENDIF}
       Db, UnStreamRecordSet, UnCustomDataSet, UnFetchTable,
{$IFDEF Un_FIB+}
       UnFibFetcher, pFIBProps,
{$ENDIF}
{$IFDEF Un_ADO}
       AdoClasses, UnAdoFetcher, UnAdoConEd,                   
{$ENDIF}
{$IFDEF Un_D6}
       DesignIntf,
{$ELSE}
       DsgnIntf,
{$ENDIF}
       UnBlobUpdaterEditor, UnParametrEditor, dbtables
{$IFDEF Un_UDB}

       , UDBConnect, UDBFetcher
{$ENDIF}
       ;

 procedure Register;

implementation

procedure Register;             
begin
{$IFDEF Un_EXT}
 RegisterComponents('UnLibrary', [TStretchHandle, TUnFileSeacher, TUnSpliter,
                                 TUnLanguage, TUnDbLanguage,
                                 TUnGrid, TUnCrypt, TUnClientPalette,
                                 TUnCalckContainer, TUnRobot, TUnCab,
                                 TUnSearchEdit, TUnRefSearchEdit]);
{$ENDIF}
 RegisterComponents('UnLibrary', [TUnStreamRecordSetDispatcher, TUnMemoryTable,
                                 TUnFetchDataSet]);
{$IFDEF Un_DES}
 RegisterComponents('UnLibrary', [TUnClipboard, TObjInsp]);
{$ENDIF}
{$IFDEF Un_FIB+}
 RegisterComponents('UnLibrary', [TUnFibFetcher]);
 RegisterNoIcon([TFIBBlobUpdater]);
{$ENDIF}
{$IFDEF Un_ADO}
 RegisterComponents('UnLibrary', [TUnAdoConnect, TUnAdoFetcher, TUnAdoCommand, TUnADORecordSet]);
 RegisterPropertyEditor(TypeInfo(string), TUnAdoConnect, 'ConnectString', TUnADOConnectingStringEditor);
 RegisterPropertyEditor(TypeInfo(TParams), TUnAdoCommand, 'Params', TUnParametrEditor);
 RegisterPropertyEditor(TypeInfo(TParams), TUnADORecordSet, 'Params', TUnParametrEditor);
 RegisterNoIcon([TADOBlobUpdater]);
{$ENDIF}
 RegisterPropertyEditor(TypeInfo(string), TUnBlobItem, 'FieldName', TUnBlobFieldEditor);
 RegisterPropertyEditor(TypeInfo(TParams), TUnFetchDataSet, 'Params', TUnParametrEditor);
{$IFDEF Un_EXT}
 RegisterPropertyEditor(TypeInfo(TParams), TUnRobot, 'Params', TUnParametrEditor);
 RegisterPropertyEditor(TypeInfo(TStream), TUnCab, 'Cab', TUnCabEditor);
{$ENDIF}
{$IFDEF Un_UDB}
 RegisterComponents('UDB', [TUDBConnect, TUDBQuery, TUDBSQLFetcher, TUDBStoredProc]);
 RegisterNoIcon([TUdbSQLBlobUpdater]);
 RegisterPropertyEditor(TypeInfo(TParams), TUDBDataSet, 'Params', TUnParametrEditor);
 RegisterPropertyEditor(TypeInfo(TParams), TUDBStoredProc, 'Params', TUnParametrEditor);
{$ENDIF}
end;


initialization

{$IFDEF Un_ADO}
 RegisterClass(TADOBlobUpdater);
{$ENDIF}

{$IFDEF Un_FIB+}
 RegisterClass(TFIBBlobUpdater);
{$ENDIF}

finalization

{$IFDEF Un_ADO}
 UnRegisterClass(TADOBlobUpdater);
{$ENDIF}

{$IFDEF Un_FIB+}
 UnRegisterClass(TFIBBlobUpdater);
{$ENDIF}

end.
