unit UnPasswordForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfPasswordForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    eUserName: TEdit;
    ePassword: TEdit;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    FUserName: string;
    FPassword: string;
    procedure SetUserName(const Value: string);
    procedure SetPassword(const Value: string);
  public
    property UserName: string read FUserName write SetUserName;
    property Password: string read FPassword write SetPassword;
  end;

var
  fPasswordForm: TfPasswordForm;

implementation

{$R *.DFM}

procedure TfPasswordForm.SetUserName(const Value: string);
begin
 FUserName:=Value;
 eUserName.Text:=Value;
end;

procedure TfPasswordForm.SetPassword(const Value: string);
begin
 FPassword:=Value;
 ePassword.Text:=Value;
end;

procedure TfPasswordForm.Button1Click(Sender: TObject);
begin
 Password:=ePassword.Text;
 ePassword.Text:='';
 ModalResult:=mrOk;
end;

procedure TfPasswordForm.Button2Click(Sender: TObject);
begin
 ePassword.Text:='';
 ModalResult:=mrCancel;
end;

procedure TfPasswordForm.FormActivate(Sender: TObject);
begin
 if Trim(eUserName.Text) = '' then
  eUserName.SetFocus;
end;

end.
